<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RemoveCalledPartyTracingReq StructType
 * @subpackage Structs
 */
class RemoveCalledPartyTracingReq extends AbstractStructBase
{
    /**
     * The directorynumber
     * Meta information extracted from the WSDL
     * - choice: directorynumber | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $directorynumber;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: directorynumber | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for RemoveCalledPartyTracingReq
     * @uses RemoveCalledPartyTracingReq::setDirectorynumber()
     * @uses RemoveCalledPartyTracingReq::setUuid()
     * @uses RemoveCalledPartyTracingReq::setSequence()
     * @param string $directorynumber
     * @param string $uuid
     * @param int $sequence
     */
    public function __construct($directorynumber = null, $uuid = null, $sequence = null)
    {
        $this
            ->setDirectorynumber($directorynumber)
            ->setUuid($uuid)
            ->setSequence($sequence);
    }
    /**
     * Get directorynumber value
     * @return string
     */
    public function getDirectorynumber()
    {
        return isset($this->directorynumber) ? $this->directorynumber : null;
    }
    /**
     * Set directorynumber value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $directorynumber
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RemoveCalledPartyTracingReq
     */
    public function setDirectorynumber($directorynumber = null)
    {
        if (is_null($directorynumber) || (is_array($directorynumber) && empty($directorynumber))) {
            unset($this->directorynumber);
        } else {
            $this->directorynumber = $directorynumber;
        }
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RemoveCalledPartyTracingReq
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RemoveCalledPartyTracingReq
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
